%define upstream_name    MediaWiki-API
%define upstream_version 0.39

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A OO interface to the Mediawiki API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MediaWiki/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Test::More) >= 0.980.0
BuildArch:  noarch

%description
This module provides an interface between Perl and the MediaWiki API (http://www.mediawiki.org/wiki/API) allowing creation of scripts to automate editing and extraction of data from MediaWiki driven sites like Wikipedia.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.390.0-3.mga4
+ Revision: 512903
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.390.0-2.mga3
+ Revision: 369689
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 02 2012 kharec <kharec> 0.390.0-1.mga3
+ Revision: 253298
- update to 0.39

* Sat Dec 03 2011 kharec <kharec> 0.370.0-1.mga2
+ Revision: 175366
- imported package perl-MediaWiki-API


* Sat Dec 03 2011 cpan2dist 0.37-1mga
- initial mageia release, generated with cpan2dist
